'use strict'

const MIN_ALIVE = 30 // seconds
const MAX_ALIVE = 120 // seconds
const KILL_CHANCE = 0.05

const startTime = Date.now()

setInterval(() => {
  const now = Date.now()
  const aliveTime = (now - startTime) / 1000

  if (aliveTime < MAX_ALIVE) {
    if (aliveTime < MIN_ALIVE) return
    if (Math.random() >= KILL_CHANCE) return
  }

  // time to die
  process.exit(0)
}, 1000)
